#include <map>
#include <string>
using namespace std;

// string definitions
static string sUnspecified("UNSPECIFIED");
static string sCompOSEhyperref("http://klahn.ift.uni.wroc.pl");

// classifications
enum particleType{BARYON,MESON,QUARK,LEPTON};
struct particle{
	particle(){};
	particle(particleType ptTypeC,string sNameC,string sTexStringC,
		int iBNumberC,int iSNumberC,int iCNumberC,int iENumberC,int iMNumberC,int iINumberC ){
			ptType=ptTypeC;
			sName=sNameC;
			sTexString=sTexStringC;
			iBNumber=iBNumberC;
			iSNumber=iSNumberC;
			iCNumber=iCNumberC;
			iENumber=iENumberC;
			iMNumber=iMNumberC;
			iINumber=iINumberC;
	};
	particleType ptType;
	string sName;
	string sTexString;
	int iBNumber;
	int iSNumber;
	int iCNumber;
	int iENumber;
	int iMNumber;
	int iINumber;
};





// user generated values
string sEoSNameNoSuffix;
